Debian Bug report logs - #670447
wxwidgets2.8: FTBFS: OpenGL libraries not available

version graph

Package: src:wxwidgets2.8; Maintainer for src:wxwidgets2.8 is wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Wed, 25 Apr 2012 18:03:05 UTC

Severity: serious

Tags: sid, wheezy

Found in version wxwidgets2.8/2.8.12.1-7

Fixed in version wxwidgets2.8/2.8.12.1-9

Done: Olly Betts <olly@survex.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>:
Bug#670447; Package src:wxwidgets2.8. (Wed, 25 Apr 2012 18:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>. (Wed, 25 Apr 2012 18:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: wxwidgets2.8: FTBFS: OpenGL libraries not available
Date: Wed, 25 Apr 2012 20:02:41 +0200
Package: src:wxwidgets2.8
Version: 2.8.12.1-7
Severity: serious
Tags: sid wheezy
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the buildds:

checking for -lMesaGL... no
configure: error: OpenGL libraries not available
make: *** [configure-gtk-shared-stamp] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=wxwidgets2.8&arch=kfreebsd-i386&ver=2.8.12.1-8&stamp=1335332990

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Olly Betts <olly@survex.com>:
You have taken responsibility. (Thu, 26 Apr 2012 23:39:11 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Thu, 26 Apr 2012 23:39:12 GMT) Full text and rfc822 format available.

Message #10 received at 670447-close@bugs.debian.org (full text, mbox):

From: Olly Betts <olly@survex.com>
To: 670447-close@bugs.debian.org
Subject: Bug#670447: fixed in wxwidgets2.8 2.8.12.1-9
Date: Thu, 26 Apr 2012 23:35:25 +0000
Source: wxwidgets2.8
Source-Version: 2.8.12.1-9

We believe that the bug you reported is fixed in the latest version of
wxwidgets2.8, which is due to be installed in the Debian FTP archive:

libwxbase2.8-0_2.8.12.1-9_amd64.deb
  to main/w/wxwidgets2.8/libwxbase2.8-0_2.8.12.1-9_amd64.deb
libwxbase2.8-dbg_2.8.12.1-9_amd64.deb
  to main/w/wxwidgets2.8/libwxbase2.8-dbg_2.8.12.1-9_amd64.deb
libwxbase2.8-dev_2.8.12.1-9_amd64.deb
  to main/w/wxwidgets2.8/libwxbase2.8-dev_2.8.12.1-9_amd64.deb
libwxgtk2.8-0_2.8.12.1-9_amd64.deb
  to main/w/wxwidgets2.8/libwxgtk2.8-0_2.8.12.1-9_amd64.deb
libwxgtk2.8-dbg_2.8.12.1-9_amd64.deb
  to main/w/wxwidgets2.8/libwxgtk2.8-dbg_2.8.12.1-9_amd64.deb
libwxgtk2.8-dev_2.8.12.1-9_amd64.deb
  to main/w/wxwidgets2.8/libwxgtk2.8-dev_2.8.12.1-9_amd64.deb
python-wxgtk2.8-dbg_2.8.12.1-9_amd64.deb
  to main/w/wxwidgets2.8/python-wxgtk2.8-dbg_2.8.12.1-9_amd64.deb
python-wxgtk2.8_2.8.12.1-9_amd64.deb
  to main/w/wxwidgets2.8/python-wxgtk2.8_2.8.12.1-9_amd64.deb
python-wxtools_2.8.12.1-9_all.deb
  to main/w/wxwidgets2.8/python-wxtools_2.8.12.1-9_all.deb
python-wxversion_2.8.12.1-9_all.deb
  to main/w/wxwidgets2.8/python-wxversion_2.8.12.1-9_all.deb
wx-common_2.8.12.1-9_amd64.deb
  to main/w/wxwidgets2.8/wx-common_2.8.12.1-9_amd64.deb
wx2.8-doc_2.8.12.1-9_all.deb
  to main/w/wxwidgets2.8/wx2.8-doc_2.8.12.1-9_all.deb
wx2.8-examples_2.8.12.1-9_all.deb
  to main/w/wxwidgets2.8/wx2.8-examples_2.8.12.1-9_all.deb
wx2.8-headers_2.8.12.1-9_amd64.deb
  to main/w/wxwidgets2.8/wx2.8-headers_2.8.12.1-9_amd64.deb
wx2.8-i18n_2.8.12.1-9_all.deb
  to main/w/wxwidgets2.8/wx2.8-i18n_2.8.12.1-9_all.deb
wxwidgets2.8_2.8.12.1-9.debian.tar.gz
  to main/w/wxwidgets2.8/wxwidgets2.8_2.8.12.1-9.debian.tar.gz
wxwidgets2.8_2.8.12.1-9.dsc
  to main/w/wxwidgets2.8/wxwidgets2.8_2.8.12.1-9.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670447@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Olly Betts <olly@survex.com> (supplier of updated wxwidgets2.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 26 Apr 2012 22:16:01 +0000
Source: wxwidgets2.8
Binary: libwxbase2.8-0 libwxbase2.8-dev libwxbase2.8-dbg libwxgtk2.8-0 libwxgtk2.8-dev libwxgtk2.8-dbg python-wxgtk2.8 python-wxgtk2.8-dbg python-wxversion python-wxtools wx-common wx2.8-headers wx2.8-i18n wx2.8-doc wx2.8-examples libwxmsw2.8-dev libwxmsw2.8-dbg wx2.8-headers-msw
Architecture: source amd64 all
Version: 2.8.12.1-9
Distribution: unstable
Urgency: low
Maintainer: wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>
Changed-By: Olly Betts <olly@survex.com>
Description: 
 libwxbase2.8-0 - wxBase library (runtime) - non-GUI support classes of wxWidgets t
 libwxbase2.8-dbg - wxBase library (debug) - non-GUI support classes of wxWidgets too
 libwxbase2.8-dev - wxBase library (development) - non-GUI support classes of wxWidge
 libwxgtk2.8-0 - wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
 libwxgtk2.8-dbg - wxWidgets Cross-platform C++ GUI toolkit (GTK+ debug)
 libwxgtk2.8-dev - wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
 libwxmsw2.8-dbg - wxMSW mingw32msvc-cross (debug)
 libwxmsw2.8-dev - wxMSW mingw32msvc-cross
 python-wxgtk2.8 - wxWidgets Cross-platform C++ GUI toolkit (wxPython binding)
 python-wxgtk2.8-dbg - wxWidgets Cross-platform C++ GUI toolkit (wxPython binding, debug
 python-wxtools - wxWidgets Cross-platform C++ GUI toolkit (wxPython common files)
 python-wxversion - wxWidgets Cross-platform C++ GUI toolkit (wxPython version select
 wx-common  - wxWidgets Cross-platform C++ GUI toolkit (common support files)
 wx2.8-doc  - wxWidgets Cross-platform C++ GUI toolkit (documentation)
 wx2.8-examples - wxWidgets Cross-platform C++ GUI toolkit (examples)
 wx2.8-headers - wxWidgets Cross-platform C++ GUI toolkit (header files)
 wx2.8-headers-msw - Extra wxWidgets headers for mingw32msvc-cross
 wx2.8-i18n - wxWidgets Cross-platform C++ GUI toolkit (i18n support)
Closes: 670447
Changes: 
 wxwidgets2.8 (2.8.12.1-9) unstable; urgency=low
 .
   * Switch to "3.0 (quilt)" to fix issues with patches not getting applied at
     the right time, fixing FTBFS on buildds since they started to use
     build-arch.  (Closes: #670447)
Checksums-Sha1: 
 e74ac03db28be1ac516a1450ae7e61b73bfc7657 3263 wxwidgets2.8_2.8.12.1-9.dsc
 ffe433c7d6c920d277ce5eb7587203c72a4c933a 59203 wxwidgets2.8_2.8.12.1-9.debian.tar.gz
 4e8cb63df1c5e7487d0b8c386e323e212960fda7 678052 libwxbase2.8-0_2.8.12.1-9_amd64.deb
 7c866c80bde7eebcc8c5c37388d10dd75889b0ad 106136 libwxbase2.8-dev_2.8.12.1-9_amd64.deb
 2597963fdd9cc1ef98ead770c69c3003116ef1d3 3295290 libwxbase2.8-dbg_2.8.12.1-9_amd64.deb
 70ee032cf52fd105e549badc95cf95c30a7941fa 3440912 libwxgtk2.8-0_2.8.12.1-9_amd64.deb
 041cff57ecaa87f584af2183ddd35602c5b518d1 106520 libwxgtk2.8-dev_2.8.12.1-9_amd64.deb
 07420308cbfe4a179e7ba1fc153bd06c508128c5 21654628 libwxgtk2.8-dbg_2.8.12.1-9_amd64.deb
 40516e6697564a3959ae8f85871eddaec03cc27f 8250902 python-wxgtk2.8_2.8.12.1-9_amd64.deb
 69acb5d057912c5dd5faf92d51790e70308e8208 45163270 python-wxgtk2.8-dbg_2.8.12.1-9_amd64.deb
 81bccc9837582a580ce865892ae39974c28eee8c 128740 wx-common_2.8.12.1-9_amd64.deb
 08904e6500e420492dbffc9f5a0e9b251960b73e 1556114 wx2.8-headers_2.8.12.1-9_amd64.deb
 a8a9326f31506475275ece96aa273b4b14574a7f 91400 python-wxversion_2.8.12.1-9_all.deb
 3298dac60e4a2277eab2edb182e3074dcc415247 92520 python-wxtools_2.8.12.1-9_all.deb
 5ba79e8653ce025fe54f7e40d2d4dc8963087dc5 862232 wx2.8-i18n_2.8.12.1-9_all.deb
 85fadb54f579ce60132c8330cfbee3baad5d933a 1991766 wx2.8-doc_2.8.12.1-9_all.deb
 40c95342c19d92a8fbd034639428dfbb820701da 8045338 wx2.8-examples_2.8.12.1-9_all.deb
Checksums-Sha256: 
 33bdefd9c78923fcbbf8d2af24f823e4dfd35739100450f8c6c817512d52e4c2 3263 wxwidgets2.8_2.8.12.1-9.dsc
 944eb46414327465d429399d3a6a33ab04381c74dbdcbe235247f286b211b980 59203 wxwidgets2.8_2.8.12.1-9.debian.tar.gz
 60054d632c249c5a2e7359877107755c4f3b85351833fff5bcd2a2003bfcf08b 678052 libwxbase2.8-0_2.8.12.1-9_amd64.deb
 f9fdb9ef8e57696f198c5aa490fdb1fc78d22c569e7d5fb571c30d50ee04b70f 106136 libwxbase2.8-dev_2.8.12.1-9_amd64.deb
 c8521cd87b6a8f91048ed78cb9f5251f2e440011ca2e8bdfd5418f7d4a9fc407 3295290 libwxbase2.8-dbg_2.8.12.1-9_amd64.deb
 fb7f09c678561254364f1b0c324613ee63d1cc289b4466a2593eb14269a3b0f9 3440912 libwxgtk2.8-0_2.8.12.1-9_amd64.deb
 2dc5823dc207c9d4f65b5f3c90b8967b1f25194764ac9b1810bf1a01ead71528 106520 libwxgtk2.8-dev_2.8.12.1-9_amd64.deb
 417b28023928ea670f7b190830c1a0e3d62de64d25d844e9c72f71e5e68c0006 21654628 libwxgtk2.8-dbg_2.8.12.1-9_amd64.deb
 1797f897d0344d6e59c7b73bf0feae1744c303dfa46dac55db1686dfa1da4f9d 8250902 python-wxgtk2.8_2.8.12.1-9_amd64.deb
 c75441250f1811d57575cf6c15129b9c3a2253c12af55f9bfbceb9cecdaea28f 45163270 python-wxgtk2.8-dbg_2.8.12.1-9_amd64.deb
 77c68614d2a988d97c15da9ae868e75e7731c00a722cad6926e423bcf4f65ed5 128740 wx-common_2.8.12.1-9_amd64.deb
 65759a4167784a71764b6dd20b0f2289dd6e968177195faee49a4c96330e0b29 1556114 wx2.8-headers_2.8.12.1-9_amd64.deb
 7a53478ca60a7220d68c94276374bf14f754833231a7ea77b45584ee33a04db6 91400 python-wxversion_2.8.12.1-9_all.deb
 582c56026e47c6e42419564d35e078c0a098610c082cd10bbc32f6449609db8e 92520 python-wxtools_2.8.12.1-9_all.deb
 8d703f98305bd6074c3d1d62e3f2c5525568574d371f9e5a6c9efe7cb3adad04 862232 wx2.8-i18n_2.8.12.1-9_all.deb
 13b2e3d7db5dfcc83acaf70ed1accff65e1cef3bd47685cda8eb2182b978e6d8 1991766 wx2.8-doc_2.8.12.1-9_all.deb
 e123d370307049ac00d513e0b2c688fa71213d60db855a205d2f1e8c2c5a2d43 8045338 wx2.8-examples_2.8.12.1-9_all.deb
Files: 
 257a04e731703f12ba61cfcb309e384f 3263 libs optional wxwidgets2.8_2.8.12.1-9.dsc
 6f84c40b84c3bb73b60f24b098b9c946 59203 libs optional wxwidgets2.8_2.8.12.1-9.debian.tar.gz
 a4a82eaef80dac6a4030299fd532e779 678052 libs optional libwxbase2.8-0_2.8.12.1-9_amd64.deb
 2b948ba1342239abc774c9f5d302ae52 106136 libdevel optional libwxbase2.8-dev_2.8.12.1-9_amd64.deb
 c32e78c99430c48e2dcc54d79a9b4e76 3295290 debug extra libwxbase2.8-dbg_2.8.12.1-9_amd64.deb
 2d533eeea18f54db74aef4825a969294 3440912 libs optional libwxgtk2.8-0_2.8.12.1-9_amd64.deb
 2b2550a4f832e601391a4e287e7704cf 106520 libdevel optional libwxgtk2.8-dev_2.8.12.1-9_amd64.deb
 90ed2a4f950232cc1e0de6c41023e98c 21654628 debug extra libwxgtk2.8-dbg_2.8.12.1-9_amd64.deb
 f7b9cf5931391ae59df64a8c0efaeec7 8250902 python optional python-wxgtk2.8_2.8.12.1-9_amd64.deb
 775523d051362567d8247676d257cfd6 45163270 debug extra python-wxgtk2.8-dbg_2.8.12.1-9_amd64.deb
 fc299b582b508515a9efa8376c221d7d 128740 devel optional wx-common_2.8.12.1-9_amd64.deb
 2a6123ef85191b98d298140a9abed558 1556114 devel optional wx2.8-headers_2.8.12.1-9_amd64.deb
 0ea6831565c160245909ec258dd1ee2b 91400 python optional python-wxversion_2.8.12.1-9_all.deb
 c05aeb5eda39fce63b29617e8c8e0b1d 92520 python optional python-wxtools_2.8.12.1-9_all.deb
 3d3f431f23d9d77e6a9f708c6fdf4d24 862232 localization optional wx2.8-i18n_2.8.12.1-9_all.deb
 bf3b0eca12a0cb11fae095efe0afc198 1991766 doc optional wx2.8-doc_2.8.12.1-9_all.deb
 2f5212e785ad3123ae4693c4d2a53b03 8045338 devel optional wx2.8-examples_2.8.12.1-9_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPmdOYAAoJEBgUewc7rSsH+usP/AxBp6K39nRyAoAIoy7MP0on
7bPWzZnW8gJoRER2oWd5rznoJjgWRPiXUWrgW+SBD/Y8RIh2EhAIuLrnT24MntFd
CRt490Jp7QJ9HuS8ELjc3yyFCtQjxM6qZsQnKM+z8ZCiCy7I4+dkJ/KviycvueEo
aOEkLj564J/YR7Lh7JEmxG9P/vjxeq1UY+JOHAn5x7ttQ1Y9E2BMYlfc7WzdVljd
8nsv0Exmw9dcOM4fSBpYzk8hYtKUwavnVh5WyYpC2gKQEih+ndotbp5UZ6FAf7Y0
EFa1KrvBJZE0tdZB0fsViL3VUS1cYJFbC4CqWbu90tvyuAiO05B0vLpR17fnS2jc
AzPdy/V4aC4gg7jYgIRB8awdwroAeGdCZOCs2+dXVG/R79liFzxqogsB6mMwXJdm
9ZUE5L7w/HpD8oAUm30zWzWEr70LLU5ytOGRpVj+/BINHTeThJH5hhXB3dVUyIBT
wzUEAZPnWhFnCIi2xYPqTTk/vNlQOwxlrh67OAezS1Dsb3MYLhEHky2kbU0Taoqk
iCL3jF2NypV8hZ0KNl1mhqv92rdm1iKR8sRbz2ot3nRIN5lxLLKx4oVagGo7rmsh
ssqPYI0lYksXaPE1c+lXizzl0oCFXTA4tgmJ0L4vsX4HlmSOppn1pxuXzjJPnezj
V7Bx95HT5L1xzhLNQRz5
=Pnw4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Jun 2012 07:46:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:39:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.